/*
 * levels
 *
 *   contains all of the vector information for all of the levels.
 *
 *   01-2005 Scott Lawrence
 *
 *   Generated via some code from the Tempest, Tempest Tubes, and TempED roms
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Id: levels.c,v 1.1 2005/05/16 02:53:00 yorgle Exp $
 *
 *  $Log: levels.c,v $
 *  Revision 1.1  2005/05/16 02:53:00  yorgle
 *  Initial checkin of Vortex.  It's just a demo right now, soon to be fleshed out.
 *  Remove the "Vortex Demo" line(92) from menu.c to disable the hook.
 *
 */

#include "levels.h"

LEVELDATA vortex_levels[NLEVELS] = {
    /* tempest.118   orders 0 - 15 */
    {
	0, /* order */
	{ 240, 231, 207, 170, 128, 86, 49, 25, 
          16, 25, 49, 86, 128, 170, 207, 231 }, /* x */
	{ 128, 170, 207, 231, 240, 231, 207, 170, 
          128, 86, 49, 25, 16, 25, 49, 86 }, /* y */
	{ 5, 6, 7, 8, 9, 10, 11, 12, 
          13, 14, 15, 0, 1, 2, 3, 4 }, /* angles */
	24, /* scale */
	512, /* fscale */
	80, /* y3d */
	-192, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	1, /* order */
	{ 240, 240, 240, 184, 128, 72, 16, 16, 
          16, 16, 16, 72, 128, 184, 240, 240 }, /* x */
	{ 128, 184, 240, 240, 240, 240, 240, 184, 
          128, 72, 16, 16, 16, 16, 16, 72 }, /* y */
	{ 4, 4, 8, 8, 8, 8, 12, 12, 
          12, 12, 0, 0, 0, 0, 4, 4 }, /* angles */
	28, /* scale */
	512, /* fscale */
	80, /* y3d */
	-224, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	2, /* order */
	{ 240, 240, 184, 184, 128, 72, 72, 16, 
          16, 16, 72, 72, 128, 184, 184, 240 }, /* x */
	{ 128, 184, 184, 240, 240, 240, 184, 184, 
          128, 72, 72, 16, 16, 16, 72, 72 }, /* y */
	{ 4, 8, 4, 8, 8, 12, 8, 12, 
          12, 0, 12, 0, 0, 4, 0, 4 }, /* angles */
	24, /* scale */
	480, /* fscale */
	80, /* y3d */
	-192, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	3, /* order */
	{ 236, 213, 177, 144, 112, 79, 43, 20, 
          20, 43, 79, 112, 144, 177, 213, 236 }, /* x */
	{ 148, 176, 184, 167, 167, 184, 176, 148, 
          108, 80, 72, 89, 89, 72, 80, 108 }, /* y */
	{ 6, 7, 9, 8, 7, 9, 10, 12, 
          14, 15, 1, 0, 15, 1, 2, 4 }, /* angles */
	15, /* scale */
	576, /* fscale */
	104, /* y3d */
	-128, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	4, /* order */
	{ 240, 192, 160, 148, 108, 96, 64, 16, 
          16, 64, 96, 108, 148, 160, 192, 240 }, /* x */
	{ 150, 163, 197, 240, 240, 197, 163, 150, 
          106, 93, 59, 16, 16, 59, 93, 106 }, /* y */
	{ 7, 6, 5, 8, 11, 10, 9, 12, 
          15, 14, 13, 0, 3, 2, 1, 4 }, /* angles */
	24, /* scale */
	512, /* fscale */
	80, /* y3d */
	-192, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	5, /* order */
	{ 217, 194, 172, 151, 128, 105, 82, 60, 
          39, 16, 53, 90, 128, 166, 202, 240 }, /* x */
	{ 61, 106, 151, 196, 240, 196, 151, 106, 
          61, 16, 16, 16, 16, 16, 16, 16 }, /* y */
	{ 5, 5, 5, 5, 11, 11, 11, 11, 
          11, 0, 0, 0, 0, 0, 0, 5 }, /* angles */
	24, /* scale */
	512, /* fscale */
	80, /* y3d */
	-192, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	6, /* order */
	{ 234, 224, 156, 128, 100, 32, 22, 80, 
          22, 32, 100, 128, 156, 224, 234, 176 }, /* x */
	{ 160, 224, 234, 176, 234, 224, 160, 128, 
          96, 32, 22, 80, 22, 32, 96, 128 }, /* y */
	{ 4, 8, 11, 5, 8, 12, 14, 9, 
          12, 0, 3, 13, 0, 4, 7, 2 }, /* angles */
	24, /* scale */
	456, /* fscale */
	104, /* y3d */
	-144, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	7, /* order */
	{ 16, 30, 44, 58, 72, 86, 100, 112, 
          144, 158, 172, 186, 200, 214, 228, 240 }, /* x */
	{ 240, 208, 176, 144, 112, 80, 48, 16, 
          16, 48, 80, 112, 144, 176, 208, 240 }, /* y */
	{ 13, 13, 13, 13, 13, 13, 13, 0, 
          3, 3, 3, 3, 3, 3, 3, 0 }, /* angles */
	24, /* scale */
	576, /* fscale */
	176, /* y3d */
	96, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	13, /* order */
	{ 16, 30, 45, 60, 75, 90, 105, 120, 
          135, 150, 165, 180, 195, 210, 225, 240 }, /* x */
	{ 64, 64, 64, 64, 64, 64, 64, 64, 
          64, 64, 64, 64, 64, 64, 64, 64 }, /* y */
	{ 0, 0, 0, 0, 0, 0, 0, 0, 
          0, 0, 0, 0, 0, 0, 0, 0 }, /* angles */
	10, /* scale */
	720, /* fscale */
	160, /* y3d */
	256, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	9, /* order */
	{ 16, 16, 16, 16, 22, 41, 70, 105, 
          151, 186, 215, 234, 240, 240, 240, 240 }, /* x */
	{ 240, 203, 166, 128, 92, 57, 32, 18, 
          18, 32, 57, 92, 128, 166, 203, 240 }, /* y */
	{ 12, 12, 12, 13, 14, 15, 15, 0, 
          1, 1, 2, 3, 4, 4, 4, 0 }, /* angles */
	24, /* scale */
	552, /* fscale */
	80, /* y3d */
	-224, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	8, /* order */
	{ 16, 36, 48, 54, 62, 73, 90, 117, 
          148, 164, 172, 186, 218, 226, 234, 240 }, /* x */
	{ 192, 166, 138, 106, 74, 47, 20, 36, 
          32, 57, 89, 117, 114, 144, 176, 208 }, /* y */
	{ 14, 13, 12, 13, 13, 13, 1, 15, 
          2, 3, 3, 0, 3, 3, 3, 0 }, /* angles */
	16, /* scale */
	592, /* fscale */
	144, /* y3d */
	64, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	12, /* order */
	{ 128, 112, 72, 32, 16, 32, 72, 112, 
          128, 144, 184, 224, 240, 224, 184, 144 }, /* x */
	{ 128, 87, 72, 87, 128, 169, 186, 169, 
          128, 87, 72, 87, 128, 169, 186, 169 }, /* y */
	{ 11, 9, 7, 5, 3, 1, 15, 13, 
          13, 15, 1, 3, 5, 7, 9, 11 }, /* angles */
	15, /* scale */
	512, /* fscale */
	128, /* y3d */
	0, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	14, /* order */
	{ 218, 164, 135, 128, 121, 92, 38, 16, 
          16, 32, 72, 128, 184, 224, 240, 240 }, /* x */
	{ 228, 232, 183, 128, 183, 232, 228, 178, 
          122, 71, 32, 16, 32, 71, 122, 178 }, /* y */
	{ 8, 11, 12, 4, 5, 8, 11, 12, 
          13, 14, 15, 1, 2, 3, 4, 5 }, /* angles */
	24, /* scale */
	512, /* fscale */
	32, /* y3d */
	-352, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	15, /* order */
	{ 16, 16, 48, 48, 80, 80, 112, 112, 
          144, 144, 176, 176, 208, 208, 240, 240 }, /* x */
	{ 144, 112, 112, 80, 80, 48, 48, 16, 
          16, 48, 48, 80, 80, 112, 112, 144 }, /* y */
	{ 12, 0, 12, 0, 12, 0, 12, 0, 
          4, 0, 4, 0, 4, 0, 4, 0 }, /* angles */
	12, /* scale */
	592, /* fscale */
	176, /* y3d */
	320, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	10, /* order */
	{ 176, 128, 80, 71, 24, 48, 24, 71, 
          80, 128, 176, 185, 232, 212, 232, 185 }, /* x */
	{ 230, 208, 230, 185, 174, 128, 82, 71, 
          20, 48, 20, 71, 82, 128, 174, 185 }, /* y */
	{ 10, 6, 12, 8, 14, 10, 0, 12, 
          2, 14, 4, 0, 6, 2, 8, 4 }, /* angles */
	20, /* scale */
	512, /* fscale */
	96, /* y3d */
	-192, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	11, /* order */
	{ 16, 30, 33, 40, 60, 85, 102, 115, 
          141, 154, 171, 196, 216, 223, 226, 240 }, /* x */
	{ 126, 106, 81, 58, 44, 44, 56, 78, 
          78, 56, 44, 44, 58, 81, 106, 126 }, /* y */
	{ 14, 12, 13, 14, 0, 2, 2, 0, 
          14, 14, 0, 2, 3, 4, 2, 0 }, /* angles */
	10, /* scale */
	704, /* fscale */
	160, /* y3d */
	256, /* y2d */
	LF_OPENWEB /* flags */
    },


    /* tubes.118   orders 16 - 31 */
    {
	18, /* order */
	{ 136, 136, 136, 136, 144, 160, 176, 192, 
          200, 192, 184, 176, 164, 152, 144, 144 }, /* x */
	{ 72, 88, 104, 120, 104, 96, 96, 104, 
          120, 136, 152, 168, 180, 192, 208, 224 }, /* y */
	{ 4, 4, 4, 13, 15, 0, 1, 2, 
          5, 5, 5, 6, 6, 5, 4, 0 }, /* angles */
	12, /* scale */
	720, /* fscale */
	128, /* y3d */
	-128, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	19, /* order */
	{ 128, 96, 64, 32, 32, 64, 96, 112, 
          144, 160, 192, 224, 224, 192, 160, 128 }, /* x */
	{ 176, 176, 160, 144, 112, 96, 80, 48, 
          48, 80, 96, 112, 144, 160, 176, 176 }, /* y */
	{ 8, 9, 9, 12, 15, 15, 13, 0, 
          3, 1, 1, 4, 7, 7, 8, 0 }, /* angles */
	8, /* scale */
	592, /* fscale */
	136, /* y3d */
	0, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	17, /* order */
	{ 128, 168, 198, 228, 228, 228, 198, 168, 
          128, 88, 58, 28, 28, 28, 58, 88 }, /* x */
	{ 28, 28, 58, 88, 128, 168, 198, 228, 
          228, 228, 198, 168, 128, 88, 58, 28 }, /* y */
	{ 0, 2, 2, 4, 4, 6, 6, 8, 
          8, 10, 10, 12, 12, 14, 14, 0 }, /* angles */
	18, /* scale */
	512, /* fscale */
	96, /* y3d */
	-256, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	22, /* order */
	{ 128, 160, 184, 200, 200, 184, 160, 144, 
          128, 112, 96, 72, 56, 56, 72, 96 }, /* x */
	{ 32, 32, 56, 88, 120, 152, 176, 208, 
          240, 208, 176, 152, 120, 88, 56, 32 }, /* y */
	{ 0, 2, 3, 4, 5, 6, 5, 5, 
          11, 11, 10, 11, 12, 13, 14, 0 }, /* angles */
	18, /* scale */
	512, /* fscale */
	96, /* y3d */
	-208, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	21, /* order */
	{ 20, 36, 52, 68, 80, 88, 104, 120, 
          136, 152, 168, 176, 188, 204, 220, 236 }, /* x */
	{ 156, 164, 164, 156, 144, 128, 128, 128, 
          128, 128, 128, 144, 156, 164, 164, 156 }, /* y */
	{ 1, 0, 15, 14, 13, 0, 0, 0, 
          0, 0, 3, 2, 1, 0, 15, 0 }, /* angles */
	10, /* scale */
	720, /* fscale */
	176, /* y3d */
	0, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	28, /* order */
	{ 164, 164, 164, 164, 164, 172, 184, 200, 
          216, 228, 236, 236, 236, 236, 236, 236 }, /* x */
	{ 28, 44, 60, 76, 92, 108, 120, 128, 
          136, 148, 164, 180, 196, 212, 228, 244 }, /* y */
	{ 4, 4, 4, 4, 3, 2, 1, 1, 
          2, 3, 4, 4, 4, 4, 4, 0 }, /* angles */
	16, /* scale */
	720, /* fscale */
	128, /* y3d */
	-128, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	30, /* order */
	{ 16, 60, 104, 152, 196, 240, 240, 240, 
          240, 196, 152, 104, 60, 16, 16, 16 }, /* x */
	{ 56, 92, 104, 104, 92, 56, 104, 152, 
          200, 164, 152, 152, 164, 200, 152, 104 }, /* y */
	{ 2, 1, 0, 15, 14, 4, 4, 4, 
          10, 9, 8, 7, 6, 12, 12, 12 }, /* angles */
	19, /* scale */
	512, /* fscale */
	128, /* y3d */
	-64, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	24, /* order */
	{ 128, 176, 176, 240, 208, 240, 176, 176, 
          128, 80, 80, 16, 48, 16, 80, 80 }, /* x */
	{ 48, 16, 80, 80, 128, 176, 176, 240, 
          208, 240, 176, 176, 128, 80, 80, 16 }, /* y */
	{ 15, 4, 0, 5, 3, 8, 4, 9, 
          7, 12, 8, 13, 11, 0, 12, 1 }, /* angles */
	18, /* scale */
	512, /* fscale */
	104, /* y3d */
	-192, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	16, /* order */
	{ 16, 40, 72, 96, 112, 112, 112, 112, 
          144, 144, 144, 144, 160, 184, 216, 240 }, /* x */
	{ 156, 176, 176, 156, 128, 96, 64, 32, 
          32, 64, 96, 128, 156, 176, 176, 156 }, /* y */
	{ 2, 0, 14, 13, 12, 12, 12, 0, 
          4, 4, 4, 3, 2, 0, 14, 0 }, /* angles */
	16, /* scale */
	592, /* fscale */
	208, /* y3d */
	256, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	27, /* order */
	{ 34, 44, 16, 44, 44, 74, 102, 112, 
          144, 154, 182, 212, 212, 240, 212, 222 }, /* x */
	{ 182, 152, 124, 114, 84, 94, 66, 96, 
          96, 66, 94, 84, 114, 124, 152, 182 }, /* y */
	{ 13, 10, 15, 12, 1, 14, 3, 0, 
          13, 2, 15, 4, 1, 6, 3, 0 }, /* angles */
	12, /* scale */
	592, /* fscale */
	144, /* y3d */
	0, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	26, /* order */
	{ 16, 32, 48, 64, 80, 96, 112, 128, 
          128, 144, 160, 176, 192, 208, 224, 240 }, /* x */
	{ 64, 72, 64, 72, 64, 72, 64, 72, 
          56, 64, 56, 64, 56, 64, 56, 64 }, /* y */
	{ 1, 15, 1, 15, 1, 15, 1, 12, 
          1, 15, 1, 15, 1, 15, 1, 0 }, /* angles */
	10, /* scale */
	720, /* fscale */
	144, /* y3d */
	192, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	23, /* order */
	{ 36, 48, 60, 72, 84, 96, 108, 120, 
          132, 144, 156, 168, 180, 192, 204, 216 }, /* x */
	{ 36, 48, 60, 72, 84, 96, 108, 120, 
          132, 144, 156, 168, 180, 192, 204, 216 }, /* y */
	{ 2, 2, 2, 2, 2, 2, 2, 2, 
          2, 2, 2, 2, 2, 2, 2, 2 }, /* angles */
	15, /* scale */
	720, /* fscale */
	176, /* y3d */
	128, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	29, /* order */
	{ 112, 112, 112, 112, 112, 144, 144, 144, 
          144, 144, 144, 144, 144, 112, 112, 112 }, /* x */
	{ 144, 112, 80, 48, 16, 16, 48, 80, 
          112, 144, 176, 208, 240, 240, 208, 176 }, /* y */
	{ 12, 12, 12, 12, 0, 4, 4, 4, 
          4, 4, 4, 4, 8, 12, 12, 12 }, /* angles */
	19, /* scale */
	640, /* fscale */
	96, /* y3d */
	-256, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	20, /* order */
	{ 20, 56, 92, 128, 164, 200, 236, 208, 
          180, 196, 160, 128, 96, 60, 76, 48 }, /* x */
	{ 120, 96, 72, 48, 72, 96, 120, 148, 
          176, 128, 117, 104, 117, 128, 176, 148 }, /* y */
	{ 14, 14, 14, 2, 2, 2, 6, 6, 
          13, 9, 9, 7, 7, 3, 10, 10 }, /* angles */
	10, /* scale */
	592, /* fscale */
	80, /* y3d */
	-256, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	25, /* order */
	{ 116, 164, 140, 92, 44, 68, 92, 140, 
          188, 236, 212, 188, 164, 116, 68, 20 }, /* x */
	{ 92, 116, 164, 140, 116, 68, 20, 44, 
          68, 92, 140, 188, 236, 212, 188, 164 }, /* y */
	{ 1, 5, 9, 9, 13, 13, 1, 1, 
          1, 5, 5, 5, 9, 9, 9, 0 }, /* angles */
	18, /* scale */
	512, /* fscale */
	128, /* y3d */
	-64, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	31, /* order */
	{ 16, 52, 80, 108, 148, 176, 204, 240, 
          240, 204, 176, 148, 108, 80, 52, 16 }, /* x */
	{ 118, 100, 128, 156, 156, 128, 100, 118, 
          138, 156, 128, 100, 100, 128, 156, 138 }, /* y */
	{ 15, 2, 2, 0, 14, 14, 1, 4, 
          7, 10, 10, 8, 6, 6, 9, 12 }, /* angles */
	12, /* scale */
	592, /* fscale */
	128, /* y3d */
	-64, /* y2d */
	LF_CLOSEDWEB /* flags */
    },


    /* example.118   orders 32 - 47 */
    {
	43, /* order */
	{ 128, 86, 44, 3, 37, 3, 44, 86, 
          128, 169, 211, 252, 218, 252, 211, 169 }, /* x */
	{ 174, 171, 163, 153, 128, 103, 92, 84, 
          81, 84, 92, 103, 128, 153, 163, 171 }, /* y */
	{ 8, 9, 9, 14, 10, 15, 0, 0, 
          0, 1, 1, 6, 2, 7, 8, 8 }, /* angles */
	14, /* scale */
	551, /* fscale */
	113, /* y3d */
	-134, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	39, /* order */
	{ 255, 252, 244, 230, 212, 191, 167, 141, 
          114, 88, 64, 43, 25, 11, 3, 1 }, /* x */
	{ 128, 154, 179, 202, 222, 237, 248, 254, 
          254, 248, 237, 222, 202, 179, 154, 128 }, /* y */
	{ 4, 5, 5, 6, 6, 7, 7, 8, 
          9, 9, 10, 10, 11, 11, 12, 0 }, /* angles */
	15, /* scale */
	640, /* fscale */
	94, /* y3d */
	-364, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	37, /* order */
	{ 8, 24, 40, 56, 72, 88, 104, 120, 
          136, 152, 168, 184, 200, 216, 232, 248 }, /* x */
	{ 128, 124, 112, 94, 75, 56, 41, 33, 
          33, 41, 55, 75, 94, 112, 124, 127 }, /* y */
	{ 15, 14, 14, 14, 14, 14, 15, 0, 
          1, 2, 2, 2, 2, 2, 1, 8 }, /* angles */
	13, /* scale */
	674, /* fscale */
	165, /* y3d */
	262, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	32, /* order */
	{ 199, 175, 151, 128, 104, 80, 56, 32, 
          56, 80, 103, 128, 152, 176, 199, 223 }, /* x */
	{ 176, 199, 176, 152, 176, 199, 176, 151, 
          128, 104, 80, 56, 80, 104, 128, 151 }, /* y */
	{ 6, 10, 10, 6, 6, 10, 10, 14, 
          14, 14, 14, 2, 2, 2, 2, 6 }, /* angles */
	10, /* scale */
	592, /* fscale */
	94, /* y3d */
	-238, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	46, /* order */
	{ 15, 28, 46, 58, 76, 89, 106, 119, 
          136, 149, 167, 179, 197, 209, 227, 240 }, /* x */
	{ 34, 21, 21, 34, 34, 21, 21, 34, 
          34, 21, 21, 34, 34, 21, 21, 34 }, /* y */
	{ 14, 0, 2, 0, 14, 0, 2, 0, 
          14, 0, 2, 0, 14, 0, 2, 8 }, /* angles */
	13, /* scale */
	696, /* fscale */
	142, /* y3d */
	262, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	38, /* order */
	{ 128, 164, 201, 214, 228, 241, 203, 166, 
          128, 91, 54, 16, 29, 43, 56, 93 }, /* x */
	{ 35, 52, 70, 107, 145, 183, 196, 209, 
          222, 209, 196, 183, 145, 107, 70, 52 }, /* y */
	{ 1, 1, 3, 3, 3, 7, 7, 7, 
          9, 9, 9, 13, 13, 13, 15, 15 }, /* angles */
	16, /* scale */
	560, /* fscale */
	88, /* y3d */
	-234, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	45, /* order */
	{ 194, 207, 232, 181, 128, 75, 23, 49, 
          62, 49, 23, 75, 128, 181, 232, 207 }, /* x */
	{ 128, 181, 232, 207, 194, 207, 233, 181, 
          128, 75, 23, 49, 62, 49, 24, 75 }, /* y */
	{ 3, 3, 9, 9, 7, 7, 13, 13, 
          11, 11, 1, 1, 15, 15, 5, 5 }, /* angles */
	20, /* scale */
	491, /* fscale */
	90, /* y3d */
	-208, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	33, /* order */
	{ 128, 167, 206, 244, 221, 198, 175, 152, 
          128, 105, 82, 59, 36, 13, 51, 90 }, /* x */
	{ 23, 37, 51, 64, 98, 132, 166, 200, 
          234, 200, 166, 132, 98, 64, 51, 37 }, /* y */
	{ 1, 1, 1, 6, 6, 6, 6, 6, 
          11, 11, 11, 11, 11, 15, 15, 15 }, /* angles */
	21, /* scale */
	555, /* fscale */
	83, /* y3d */
	-226, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	34, /* order */
	{ 195, 170, 143, 119, 103, 97, 102, 117, 
          140, 155, 160, 154, 138, 114, 87, 62 }, /* x */
	{ 234, 243, 241, 228, 206, 180, 154, 132, 
          118, 95, 69, 43, 21, 8, 6, 15 }, /* y */
	{ 7, 8, 9, 10, 11, 13, 14, 15, 
          14, 13, 11, 10, 9, 8, 7, 3 }, /* angles */
	26, /* scale */
	633, /* fscale */
	127, /* y3d */
	-66, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	47, /* order */
	{ 231, 231, 231, 231, 231, 203, 175, 147, 
          108, 80, 52, 24, 24, 24, 24, 24 }, /* x */
	{ 49, 88, 128, 167, 206, 179, 151, 123, 
          123, 151, 179, 206, 167, 127, 88, 49 }, /* y */
	{ 4, 4, 4, 4, 10, 10, 10, 8, 
          6, 6, 6, 12, 12, 12, 12, 0 }, /* angles */
	14, /* scale */
	560, /* fscale */
	51, /* y3d */
	-390, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	36, /* order */
	{ 22, 38, 54, 63, 72, 88, 104, 113, 
          122, 138, 154, 172, 188, 206, 224, 233 }, /* x */
	{ 162, 153, 143, 128, 112, 102, 93, 109, 
          125, 134, 143, 143, 134, 139, 144, 160 }, /* y */
	{ 15, 15, 13, 13, 15, 15, 3, 3, 
          1, 1, 0, 15, 1, 1, 3, 8 }, /* angles */
	9, /* scale */
	696, /* fscale */
	201, /* y3d */
	240, /* y2d */
	LF_OPENWEB /* flags */
    },
    {
	35, /* order */
	{ 168, 128, 87, 59, 31, 2, 31, 59, 
          87, 128, 168, 196, 224, 253, 224, 196 }, /* x */
	{ 212, 212, 212, 184, 156, 127, 99, 71, 
          43, 43, 43, 71, 99, 128, 156, 184 }, /* y */
	{ 8, 8, 10, 10, 10, 14, 14, 14, 
          0, 0, 2, 2, 2, 6, 6, 6 }, /* angles */
	16, /* scale */
	560, /* fscale */
	88, /* y3d */
	-230, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	44, /* order */
	{ 220, 183, 146, 109, 72, 35, 35, 72, 
          72, 72, 109, 146, 183, 183, 183, 220 }, /* x */
	{ 183, 183, 183, 183, 183, 183, 146, 146, 
          109, 72, 72, 72, 72, 109, 146, 146 }, /* y */
	{ 8, 8, 8, 8, 8, 12, 0, 12, 
          12, 0, 0, 0, 4, 4, 0, 4 }, /* angles */
	9, /* scale */
	570, /* fscale */
	164, /* y3d */
	130, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	42, /* order */
	{ 91, 127, 164, 201, 216, 201, 217, 201, 
          164, 128, 91, 54, 39, 54, 38, 54 }, /* x */
	{ 75, 60, 75, 60, 96, 133, 170, 207, 
          192, 207, 192, 207, 171, 134, 97, 60 }, /* y */
	{ 15, 1, 15, 3, 5, 3, 5, 9, 
          7, 9, 7, 11, 13, 11, 13, 1 }, /* angles */
	12, /* scale */
	560, /* fscale */
	110, /* y3d */
	-188, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	40, /* order */
	{ 132, 92, 53, 37, 53, 36, 52, 92, 
          132, 172, 211, 227, 211, 227, 210, 172 }, /* x */
	{ 210, 226, 210, 171, 132, 92, 52, 36, 
          53, 36, 52, 92, 131, 170, 210, 227 }, /* y */
	{ 7, 9, 11, 13, 11, 13, 15, 1, 
          15, 1, 3, 5, 3, 5, 7, 9 }, /* angles */
	17, /* scale */
	546, /* fscale */
	88, /* y3d */
	-242, /* y2d */
	LF_CLOSEDWEB /* flags */
    },
    {
	41, /* order */
	{ 77, 36, 36, 77, 48, 78, 107, 107, 
          149, 148, 178, 207, 178, 219, 219, 178 }, /* x */
	{ 157, 157, 116, 116, 86, 57, 87, 45, 
          45, 87, 58, 87, 116, 116, 158, 158 }, /* y */
	{ 8, 12, 0, 10, 14, 2, 12, 0, 
          4, 14, 2, 6, 0, 4, 8, 8 }, /* angles */
	9, /* scale */
	551, /* fscale */
	131, /* y3d */
	110, /* y2d */
	LF_OPENWEB /* flags */
    }
};
